Debian Bug report logs - #593141
ruby1.9.1: FTBFS on ia64: test suite segfaults

version graph

Package: src:ruby1.9.1; Maintainer for src:ruby1.9.1 is Antonio Terceiro <terceiro@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 15 Aug 2010 18:51:10 UTC

Severity: serious

Tags: squeeze-ignore, wheezy-ignore

Found in version ruby1.9.1/1.9.2~svn28788-1

Done: Andrey Rahmatullin <wrar@wrar.name>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-ia64@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Sun, 15 Aug 2010 18:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to debian-ia64@lists.debian.org, akira yamada <akira@debian.org>. (Sun, 15 Aug 2010 18:51:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ruby1.9.1: FTBFS on ia64: test suite segfaults
Date: Sun, 15 Aug 2010 20:26:02 +0200
Source: ruby1.9.1
Version: 1.9.2~svn28788-1
Severity: serious

Ruby's test suite segfaults on ia64:
> Loaded suite ./test/runner
> Started
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/test/ruby/test_float.rb:249: [BUG] Segmentation fault
> ruby 1.9.2dev (2010-07-30) [ia64-linux]
> 
> -- control frame ----------
> c:0014 p:---- s:0061 b:0061 l:000060 d:000060 CFUNC  :<=>
> c:0013 p:0616 s:0057 b:0055 l:000054 d:000054 METHOD /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/test/ruby/test_float.rb:249
> c:0012 p:0063 s:0045 b:0045 l:000044 d:000044 METHOD /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:680
> c:0011 p:0091 s:0039 b:0039 l:0010e8 d:000038 BLOCK  /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:641
> c:0010 p:---- s:0034 b:0034 l:000033 d:000033 FINISH
> c:0009 p:---- s:0032 b:0032 l:000031 d:000031 CFUNC  :each
> c:0008 p:0026 s:0029 b:0029 l:0010e8 d:000028 BLOCK  /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:635
> c:0007 p:---- s:0026 b:0026 l:000025 d:000025 FINISH
> c:0006 p:---- s:0024 b:0024 l:000023 d:000023 CFUNC  :each
> c:0005 p:0082 s:0021 b:0021 l:0010e8 d:0010e8 METHOD /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:634
> c:0004 p:0188 s:0016 b:0016 l:001c08 d:001c08 METHOD /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:594
> c:0003 p:0041 s:0007 b:0007 l:000448 d:000da0 BLOCK  /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:492
> c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
> c:0001 p:0000 s:0002 b:0002 l:001ea8 d:001ea8 TOP   
> ---------------------------
> -- Ruby level backtrace information ----------------------------------------
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:492:in `block in autorun'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:594:in `run'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:634:in `run_test_suites'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:634:in `each'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:635:in `block in run_test_suites'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:635:in `each'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:641:in `block (2 levels) in run_test_suites'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/lib/minitest/unit.rb:680:in `run'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/test/ruby/test_float.rb:249:in `test_cmp'
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/test/ruby/test_float.rb:249:in `<=>'
> 
> -- C level backtrace information -------------------------------------------
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_vm_bugreport-0xd91f10) [0x20000000004d1c80]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0xee3c0) [0x200000000013e3c0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_bug-0x1125680) [0x200000000013e520]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x31e280) [0x200000000036e280]
> [0xa000000000010800]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x8f711) [0x20000000000df711]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_cmpint-0x1183e90) [0x20000000000dfd30]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x1ce7f0) [0x200000000021e7f0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4418d0) [0x20000000004918d0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4432e0) [0x20000000004932e0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4445b0) [0x20000000004945b0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x452cd0) [0x20000000004a2cd0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x477740) [0x20000000004c7740]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4735a0) [0x20000000004c35a0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x473920) [0x20000000004c3920]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4690d0) [0x20000000004b90d0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_yield+0x46b3d8) [0x20000000004b9170]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_ary_each+0x72338) [0x20000000000bf620]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x441870) [0x2000000000491870]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4432e0) [0x20000000004932e0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4445b0) [0x20000000004945b0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x452cd0) [0x20000000004a2cd0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x477740) [0x20000000004c7740]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4735a0) [0x20000000004c35a0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x473920) [0x20000000004c3920]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4690d0) [0x20000000004b90d0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_yield+0x46b3d8) [0x20000000004b9170]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_ary_each+0x72338) [0x20000000000bf620]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x441870) [0x2000000000491870]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4432e0) [0x20000000004932e0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4445b0) [0x20000000004945b0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x452cd0) [0x20000000004a2cd0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x477740) [0x20000000004c7740]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x4735a0) [0x20000000004c35a0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_vm_invoke_proc-0xd9fff0) [0x20000000004c3be0]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_proc_call-0x110a290) [0x2000000000159950]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_call_end_proc+0xfb518) [0x2000000000148e70]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_exec_end_proc-0x111a2c0) [0x2000000000149930]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0xfa310) [0x200000000014a310]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(ruby_cleanup-0x11192f0) [0x200000000014a910]
> /build/buildd-ruby1.9.1_1.9.2~svn28788-1-ia64-di4imI/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(ruby_run_node-0x1118600) [0x200000000014b610]
> ./ruby1.9.1(main+0x1fffffffff572dc0) [0x4000000000000e70]
> /lib/libc.so.6.1(__libc_start_main-0xab75b0) [0x20000000007ac670]
> ./ruby1.9.1(_start+0x1ffffffffed9cf50) [0x4000000000000b80]
> 
> [NOTE]
> You may have encountered a bug in the Ruby interpreter or extension libraries.
> Bug reports are welcome.
> For details: http://www.ruby-lang.org/bugreport.html
> 
> Aborted
> make[1]: *** [yes-test-all] Error 134

Full build log: https://buildd.debian.org/fetch.cgi?pkg=ruby1.9.1;ver=1.9.2~svn28788-1;arch=ia64;stamp=1280660476

Since it works fine on amd64, armel, i386, mips, mipsel, powerpc and s390, I
believe this is an architecture-specific problem. Ruby's test suite is known to
exercise threads in interesting ways.

In case it's helpful, the testsuite also segfaults on hppa (different bug
being filed now).
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) squeeze-ignore. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Mon, 16 Jan 2012 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 16 Jan 2012 20:24:03 GMT) Full text and rfc822 format available.

Message #12 received at 593141@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org
Cc: debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Mon, 16 Jan 2012 21:20:07 +0100
(Adding -ia64 to Cc)

On 15/01/12 at 12:42 -0600, Gunnar Wolf wrote:
> reassign 653582 ruby1.9.1
> retitle 653582 Segfaults when running ruby-hpricot's test suite
> thanks
> 
> Hi,
> 
> I do not have access to IA64 hardware, but this smells much like a bug
> in Ruby itself, in which ruby-hpricot's tests trip. I think the proper
> course is to report this to the upstream bugtracker, but they request
> the verbose output from the interpreter.
> 
> I don't have a proper build environment so I can try this. Please try:
> 
> - Build the package until the point it breaks at
> - Run the test that failed manually:
>   $ ruby1.9.1 -v -I test/ -I debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/ test/test_preserved.rb 
> 
> Ruby1.9.1 maintainers: Can I entrust you the assessing and forwarding
> of this bug (as you will surely be better fitted to judge it than me)?
> 
> Just FWIW, here is the output on my system (AMD64):
> 
> $ ruby1.9.1 -v -I test/ -I debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/ test/test_preserved.rb 
> ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-linux]
> /tmp/ruby-hpricot-0.8.5/debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/hpricot/traverse.rb:230: warning: assigned but unused variable - i
> /tmp/ruby-hpricot-0.8.5/debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/hpricot/traverse.rb:298: warning: (...) interpreted as grouped expression
> /tmp/ruby-hpricot-0.8.5/debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/hpricot/traverse.rb:297: warning: assigned but unused variable - oop
> /tmp/ruby-hpricot-0.8.5/debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/hpricot/traverse.rb:615: warning: assigned but unused variable - links
> /tmp/ruby-hpricot-0.8.5/debian/ruby-hpricot/usr/lib/ruby/vendor_ruby/hpricot/elements.rb:490: warning: assigned but unused variable - idx
> /tmp/ruby-hpricot-0.8.5/test/load_files.rb:2: warning: setting Encoding.default_external
> Loaded suite test/test_preserved
> Started
> ......
> 
> Finished in 0.406052506 seconds.
> 
> 6 tests, 5950 assertions, 0 failures, 0 errors, 0 pendings, 0 omissions, 0 notifications
> 100% passed
> 
> 14.78 tests/s, 14653.28 assertions/s

ruby1.9.1 is known to be broken on ia64 (see #593141). It currently
builds only because the test suite is disabled on that architecture, but
the fact that other Ruby packages fail to build on ia64 doesn't surprise
me.

Dear release team, at some point before the wheezy release, we need to
decide what to do with Ruby 1.9.X on ia64. It has been broken for
months, and hasn't seen any activity in Debian (#539141) or upstream
(http://bugs.ruby-lang.org/issues/5246).

I think that removing it (with all its rev-depends) makes more sense
than shipping a known-broken Ruby.

Lucas




Marked as fixed in versions ruby1.9.1/1.9.3.194-1. Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Mon, 04 Jun 2012 22:03:08 GMT) Full text and rfc822 format available.

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Mon, 04 Jun 2012 22:03:13 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 04 Jun 2012 22:03:13 GMT) Full text and rfc822 format available.

Message #19 received at 593141-done@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 593139-done@bugs.debian.org, 593141-done@bugs.debian.org, 647296-done@bugs.debian.org
Subject: ruby1.9.1 does not FTBFS on kfreebsd, ia64 and kfreebsd-* anymore
Date: Mon, 4 Jun 2012 18:57:20 -0300
[Message part 1 (text/plain, inline)]
fixed 593139 1.9.3.194-1
fixed 593141 1.9.3.194-1
fixed 647296 1.9.3.194-1
thanks

Hi,

With the upload of version 1.9.3.194-1, ruby1.9.1 builds fine on amd64,
ia64 and kfreebsd-*. I am therefore closing the FTBFS bugs associated
with these architectures.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Tue, 05 Jun 2012 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 05 Jun 2012 00:36:05 GMT) Full text and rfc822 format available.

Message #24 received at 593141@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 593139@bugs.debian.org, 593141@bugs.debian.org
Subject: oops ... closed by mistake
Date: Mon, 4 Jun 2012 19:26:07 -0300
[Message part 1 (text/plain, inline)]
reopen 593139
reopen 593141
thanks

These bugs have been closed by mistake. The test suite is disabled on
ia64 and kfreebsd, so before closing these bugs we need to try building
with the test suite enabled.

Sorry for the noise.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 00:36:09 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions ruby1.9.1/1.9.3.194-1. Request was from Antonio Terceiro <terceiro@debian.org> to control@bugs.debian.org. (Tue, 05 Jun 2012 00:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Mon, 03 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 03 Sep 2012 19:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 593141@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: debian-release@lists.debian.org
Cc: debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Mon, 3 Sep 2012 21:51:28 +0200
On 16/01/12 at 21:20 +0100, Lucas Nussbaum wrote:
> ruby1.9.1 is known to be broken on ia64 (see #593141). It currently
> builds only because the test suite is disabled on that architecture, but
> the fact that other Ruby packages fail to build on ia64 doesn't surprise
> me.
> 
> Dear release team, at some point before the wheezy release, we need to
> decide what to do with Ruby 1.9.X on ia64. It has been broken for
> months, and hasn't seen any activity in Debian (#539141) or upstream
> (http://bugs.ruby-lang.org/issues/5246).
> 
> I think that removing it (with all its rev-depends) makes more sense
> than shipping a known-broken Ruby.

Dear RT,

If you prefer the option of shipping a known-broken ruby1.9.3 (on ia64),
maybe it would be better to tag this bug wheezy-ignore now?

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Mon, 24 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 24 Sep 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #38 received at 593141@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: debian-release@lists.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Mon, 24 Sep 2012 18:36:41 +0200
On Mon, Sep 03, 2012 at 09:51:28PM +0200, Lucas Nussbaum wrote:
> On 16/01/12 at 21:20 +0100, Lucas Nussbaum wrote:
> > ruby1.9.1 is known to be broken on ia64 (see #593141). It currently
> > builds only because the test suite is disabled on that architecture, but
> > the fact that other Ruby packages fail to build on ia64 doesn't surprise
> > me.
> > 
> > Dear release team, at some point before the wheezy release, we need to
> > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > months, and hasn't seen any activity in Debian (#539141) or upstream
> > (http://bugs.ruby-lang.org/issues/5246).
> > 
> > I think that removing it (with all its rev-depends) makes more sense
> > than shipping a known-broken Ruby.
> 
> Dear RT,
> 
> If you prefer the option of shipping a known-broken ruby1.9.3 (on ia64),
> maybe it would be better to tag this bug wheezy-ignore now?

Given that ia64 will be no longer be a release arch after Wheezy and that
this problem is even present in Squeeze, this seems sensible?

Cheers,
        Moritz



Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Mon, 24 Sep 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 24 Sep 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 593141@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: debian-release@lists.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Mon, 24 Sep 2012 18:59:55 +0200
[Message part 1 (text/plain, inline)]
On Mon, Sep  3, 2012 at 21:51:28 +0200, Lucas Nussbaum wrote:

> On 16/01/12 at 21:20 +0100, Lucas Nussbaum wrote:
> > ruby1.9.1 is known to be broken on ia64 (see #593141). It currently
> > builds only because the test suite is disabled on that architecture, but
> > the fact that other Ruby packages fail to build on ia64 doesn't surprise
> > me.
> > 
> > Dear release team, at some point before the wheezy release, we need to
> > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > months, and hasn't seen any activity in Debian (#539141) or upstream
> > (http://bugs.ruby-lang.org/issues/5246).
> > 
> > I think that removing it (with all its rev-depends) makes more sense
> > than shipping a known-broken Ruby.
> 
> Dear RT,
> 
> If you prefer the option of shipping a known-broken ruby1.9.3 (on ia64),
> maybe it would be better to tag this bug wheezy-ignore now?
> 
Removal would be second best after making it work, IMO.  If we know it
doesn't work at all then there's no point shipping it.  If it kinda
sorta works but not completely, wheezy-ignore might make more sense.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Thu, 06 Dec 2012 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 06 Dec 2012 09:24:03 GMT) Full text and rfc822 format available.

Message #48 received at 593141@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: debian-release@lists.debian.org
Cc: Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Thu, 6 Dec 2012 10:22:00 +0100
On Mon, 16 Jan 2012 21:20:07 +0100
Lucas Nussbaum <lucas@debian.org> wrote:
> Dear release team, at some point before the wheezy release, we need to
> decide what to do with Ruby 1.9.X on ia64. It has been broken for
> months, and hasn't seen any activity in Debian (#539141) or upstream
> (http://bugs.ruby-lang.org/issues/5246).
> 
> I think that removing it (with all its rev-depends) makes more sense
> than shipping a known-broken Ruby.

To recap: ruby1.9.1 on ia64 is broken, neglected and lucas as one of
its maintainers agrees to remove it on ia64.

Dear release team: How do we move this forward? Should I follow
http://wiki.debian.org/ftpmaster_Removals?


-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Thu, 06 Dec 2012 17:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 06 Dec 2012 17:15:09 GMT) Full text and rfc822 format available.

Message #53 received at 593141@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Thu, 6 Dec 2012 18:13:31 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec  6, 2012 at 10:22:00 +0100, Michael Stapelberg wrote:

> On Mon, 16 Jan 2012 21:20:07 +0100
> Lucas Nussbaum <lucas@debian.org> wrote:
> > Dear release team, at some point before the wheezy release, we need to
> > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > months, and hasn't seen any activity in Debian (#539141) or upstream
> > (http://bugs.ruby-lang.org/issues/5246).
> > 
> > I think that removing it (with all its rev-depends) makes more sense
> > than shipping a known-broken Ruby.
> 
> To recap: ruby1.9.1 on ia64 is broken, neglected and lucas as one of
> its maintainers agrees to remove it on ia64.
> 
> Dear release team: How do we move this forward? Should I follow
> http://wiki.debian.org/ftpmaster_Removals?
> 
Start by making a list of affected packages.  Then figure out which one
would need complete removal and which ones need source changes to
disable the ruby parts on ia64.  Then run away screaming.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Thu, 06 Dec 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 06 Dec 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #58 received at 593141@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Michael Stapelberg <stapelberg@debian.org>
Cc: debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Thu, 6 Dec 2012 11:37:41 -0600
Michael Stapelberg dijo [Thu, Dec 06, 2012 at 10:22:00AM +0100]:
> On Mon, 16 Jan 2012 21:20:07 +0100
> Lucas Nussbaum <lucas@debian.org> wrote:
> > Dear release team, at some point before the wheezy release, we need to
> > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > months, and hasn't seen any activity in Debian (#539141) or upstream
> > (http://bugs.ruby-lang.org/issues/5246).
> > 
> > I think that removing it (with all its rev-depends) makes more sense
> > than shipping a known-broken Ruby.
> 
> To recap: ruby1.9.1 on ia64 is broken, neglected and lucas as one of
> its maintainers agrees to remove it on ia64.
> 
> Dear release team: How do we move this forward? Should I follow
> http://wiki.debian.org/ftpmaster_Removals?

Wow... I have never had access to a IA64 machine. And yes, we are
aware of this breakage for a long time. But... How many packages in
the archive depend on the default version of Ruby?

We can argue that most Ruby packages are likely to be still usable
under Ruby 1.8. Sigh... I don't like the idea of dropping Ruby1.9.1
altogether from an architecture, but in this light, I cannot provide
any alternatives.



Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Thu, 06 Dec 2012 17:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Baggett <baggett.patrick@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 06 Dec 2012 17:51:08 GMT) Full text and rfc822 format available.

Message #63 received at 593141@bugs.debian.org (full text, mbox):

From: Patrick Baggett <baggett.patrick@gmail.com>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: Michael Stapelberg <stapelberg@debian.org>, debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, 593141@bugs.debian.org
Subject: Re: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Thu, 6 Dec 2012 11:50:09 -0600
[Message part 1 (text/plain, inline)]
What is broken about it? Has anyone estimated how much effort it would take
to fix? Are we talking needing assembly language bindings or just some dumb
SIGBUS error?

Patrick Baggett

On Thu, Dec 6, 2012 at 11:37 AM, Gunnar Wolf <gwolf@gwolf.org> wrote:

> Michael Stapelberg dijo [Thu, Dec 06, 2012 at 10:22:00AM +0100]:
> > On Mon, 16 Jan 2012 21:20:07 +0100
> > Lucas Nussbaum <lucas@debian.org> wrote:
> > > Dear release team, at some point before the wheezy release, we need to
> > > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > > months, and hasn't seen any activity in Debian (#539141) or upstream
> > > (http://bugs.ruby-lang.org/issues/5246).
> > >
> > > I think that removing it (with all its rev-depends) makes more sense
> > > than shipping a known-broken Ruby.
> >
> > To recap: ruby1.9.1 on ia64 is broken, neglected and lucas as one of
> > its maintainers agrees to remove it on ia64.
> >
> > Dear release team: How do we move this forward? Should I follow
> > http://wiki.debian.org/ftpmaster_Removals?
>
> Wow... I have never had access to a IA64 machine. And yes, we are
> aware of this breakage for a long time. But... How many packages in
> the archive depend on the default version of Ruby?
>
> We can argue that most Ruby packages are likely to be still usable
> under Ruby 1.8. Sigh... I don't like the idea of dropping Ruby1.9.1
> altogether from an architecture, but in this light, I cannot provide
> any alternatives.
>
>
> --
> To UNSUBSCRIBE, email to debian-ia64-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive: http://lists.debian.org/20121206173741.GC28595@gwolf.org
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Thu, 06 Dec 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 06 Dec 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #68 received at 593141@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Julien Cristau <jcristau@debian.org>, 593141@bugs.debian.org
Cc: Michael Stapelberg <stapelberg@debian.org>, debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Thu, 6 Dec 2012 14:55:36 -0300
[Message part 1 (text/plain, inline)]
On Thu, Dec 06, 2012 at 06:13:31PM +0100, Julien Cristau wrote:
> On Thu, Dec  6, 2012 at 10:22:00 +0100, Michael Stapelberg wrote:
> 
> > On Mon, 16 Jan 2012 21:20:07 +0100
> > Lucas Nussbaum <lucas@debian.org> wrote:
> > > Dear release team, at some point before the wheezy release, we need to
> > > decide what to do with Ruby 1.9.X on ia64. It has been broken for
> > > months, and hasn't seen any activity in Debian (#539141) or upstream
> > > (http://bugs.ruby-lang.org/issues/5246).
> > > 
> > > I think that removing it (with all its rev-depends) makes more sense
> > > than shipping a known-broken Ruby.
> > 
> > To recap: ruby1.9.1 on ia64 is broken, neglected and lucas as one of
> > its maintainers agrees to remove it on ia64.
> > 
> > Dear release team: How do we move this forward? Should I follow
> > http://wiki.debian.org/ftpmaster_Removals?
> > 
> Start by making a list of affected packages.  Then figure out which one
> would need complete removal and which ones need source changes to
> disable the ruby parts on ia64.  Then run away screaming.

Revisiting your previous suggestion about this ...

> Removal would be second best after making it work, IMO.  If we know it
> doesn't work at all then there's no point shipping it.  If it kinda
> sorta works but not completely, wheezy-ignore might make more sense.

I would say it does "kinda sorta works but not completely" ... so maybe
wheezy-ignore should be the case. Yes, it segfaults when building a single
package on ia64, and will probably segfault in a specific point when running
its own test suite┬╣, but apart from that, we don't have evidence suggesting
that ruby1.9.1 is completely broken on ia64.

┬╣ test suite which is known to exercise the code in interesting and not always
  realistic ways.

It would be nice to read reports from people actually using ruby1.9.1 on
ia64, though.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Fri, 07 Dec 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Fri, 07 Dec 2012 21:24:03 GMT) Full text and rfc822 format available.

Message #73 received at 593141@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: Antonio Terceiro <terceiro@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 593141@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>, debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Fri, 07 Dec 2012 22:21:57 +0100
I took a look at this a few weeks ago.

The problem is the code in the cont.c file which implements continuations.
A thread saves its own stack and its thread context itself while it is  
running. The ruby programmers believe that that the saved info can be  
used by another thread to switch over. They are wrong!
This is simply ill-formed code; wrong usage of the  
makecontext()/swapcontext() functions. It is a miracle that it works  
on other architectures - on sparc it did after doing some dirty tricks.
The problem causes crashes which are almost impossible to understand  
with the debugger.
The code was written in 2007 and made a lot of trouble until now; when  
you take a look to cont.c, you are see some really weird code  
fragments - dirty hacks to workaround some fundamental design flaws.
I'm not satisfied with the code quality of the ruby project at all; I  
don't understand how it could be included in a ruby version that is  
for production use.

So the continuations and perhaps some related threading features are  
broken - very advanced and new features in Ruby.

I think a fix is feasable for platforms which use  
makecontext()/swapcontext() - as Linux is (rather than Windows Win32  
functions).

What can be implememnted is that a thread switches to another  
context/stack; the initial context/stack is saved after that. The  
thread switches back to the initial context/stack finally.
This means:
- The performance becomes worse due to additional context switches. I  
think it isn't that bad; the ruby code copies over huge portions of  
memory in its implementation all the time; the entire original code is  
a huge performance penalty (if it wouldn't crash). I don't believe  
that the additional context switches makes it noticeable worse.
- The patch would be a real patch bomb. It would remove a lot of mess  
for (not working) ia64 workarounds and the most recent sparc patches  
of Debian as well. The patch replaces a lot of code of cont.c.
- The patch would change the implementation for all Debian archs, not  
only ia64.

I appreciate comments on that.
For now I'd prefer the 'wheezy-ignore' rather than removing the ia64  
ruby package.

Stephan


If you want to read something pleasing about ia64 for a change, you  
can take a look at bug#659186 or #582774.





Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Sat, 08 Dec 2012 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 08 Dec 2012 14:15:03 GMT) Full text and rfc822 format available.

Message #78 received at 593141@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Stephan Schreiber <info@fs-driver.org>
Cc: Julien Cristau <jcristau@debian.org>, 593141@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>, debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Sat, 8 Dec 2012 11:11:56 -0300
[Message part 1 (text/plain, inline)]
On Fri, Dec 07, 2012 at 10:21:57PM +0100, Stephan Schreiber wrote:
> I took a look at this a few weeks ago.
> 
> The problem is the code in the cont.c file which implements continuations.
> A thread saves its own stack and its thread context itself while it
> is running. The ruby programmers believe that that the saved info
> can be used by another thread to switch over. They are wrong!
> This is simply ill-formed code; wrong usage of the
> makecontext()/swapcontext() functions. It is a miracle that it works
> on other architectures - on sparc it did after doing some dirty
> tricks.
> The problem causes crashes which are almost impossible to understand
> with the debugger.
> The code was written in 2007 and made a lot of trouble until now;
> when you take a look to cont.c, you are see some really weird code
> fragments - dirty hacks to workaround some fundamental design flaws.
> I'm not satisfied with the code quality of the ruby project at all;
> I don't understand how it could be included in a ruby version that
> is for production use.
> 
> So the continuations and perhaps some related threading features are
> broken - very advanced and new features in Ruby.
> 
> I think a fix is feasable for platforms which use
> makecontext()/swapcontext() - as Linux is (rather than Windows Win32
> functions).
> 
> What can be implememnted is that a thread switches to another
> context/stack; the initial context/stack is saved after that. The
> thread switches back to the initial context/stack finally.
> This means:
> - The performance becomes worse due to additional context switches.
> I think it isn't that bad; the ruby code copies over huge portions
> of memory in its implementation all the time; the entire original
> code is a huge performance penalty (if it wouldn't crash). I don't
> believe that the additional context switches makes it noticeable
> worse.
> - The patch would be a real patch bomb. It would remove a lot of
> mess for (not working) ia64 workarounds and the most recent sparc
> patches of Debian as well. The patch replaces a lot of code of
> cont.c.
> - The patch would change the implementation for all Debian archs,
> not only ia64.
>
> I appreciate comments on that.

Sounds good to me. It will be awesome if you could do that! :-)

I would say let's get that patch written, test it, make sure it doesn't
break anything, and them we can talk to upstream. I am not comfortable
with carrying such a huge patch on the Debian package, since I do not
have much experience of such low-level stuff.

> For now I'd prefer the 'wheezy-ignore' rather than removing the ia64
> ruby package.

Looks like this should be the way to go.

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593141; Package src:ruby1.9.1. (Sat, 08 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 08 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #83 received at 593141@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Antonio Terceiro <terceiro@debian.org>, Stephan Schreiber <info@fs-driver.org>, 593141@bugs.debian.org, Michael Stapelberg <stapelberg@debian.org>, debian-release@lists.debian.org, Lucas Nussbaum <lucas@debian.org>, Gunnar Wolf <gwolf@gwolf.org>, 653582@bugs.debian.org, debian-ia64@lists.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593141: Bug#653582: ruby-hpricot: FTBFS on ia64: ruby crashes while running tests
Date: Sat, 8 Dec 2012 15:22:20 +0100
[Message part 1 (text/plain, inline)]
Control: tag 653582 wheezy-ignore
Control: tag 593141 wheezy-ignore

On Sat, Dec  8, 2012 at 11:11:56 -0300, Antonio Terceiro wrote:

> On Fri, Dec 07, 2012 at 10:21:57PM +0100, Stephan Schreiber wrote:
> > For now I'd prefer the 'wheezy-ignore' rather than removing the ia64
> > ruby package.
> 
> Looks like this should be the way to go.
> 
Agreed.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to 593141-submit@bugs.debian.org. (Sat, 08 Dec 2012 14:24:04 GMT) Full text and rfc822 format available.

Reply sent to Andrey Rahmatullin <wrar@wrar.name>:
You have taken responsibility. (Sat, 22 Feb 2014 10:33:10 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 22 Feb 2014 10:33:10 GMT) Full text and rfc822 format available.

Message #90 received at 593141-done@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 593141-done@bugs.debian.org
Date: Sat, 22 Feb 2014 16:30:52 +0600
[Message part 1 (text/plain, inline)]
IA64 is removed from unstable.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Mar 2014 07:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:37:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.